package org.once.serviceChoicer.qosDescrip2.token.impl;


import java.util.Set;

import org.once.serviceChoicer.candidate.ICandidate;
import org.once.serviceChoicer.qosDescrip2.token.ILAttr;
import org.once.serviceChoicer.qosDescrip2.token.ILAttr4log;


public class LAttr4log4list implements ILAttr4log{

	private Set<ICandidate> candidates;
	
	public LAttr4log4list(Set<ICandidate> candidates){
		this.candidates = candidates;
	}
	
	public Set<ICandidate> getLAttrValue() {
		return candidates;
	}

	public void setLAttrValue(Object obj) {
		this.candidates = (Set<ICandidate>) obj;
	}
	
	public ILAttr opAND(ILAttr lAttr4List){
		this.candidates.addAll(((LAttr4log4list)lAttr4List).getLAttrValue());	
		return this;
	}

	@Override
	public ILAttr opNOT() {
		return this;
	}

	@Override
	public ILAttr opOR(ILAttr lAttr4List) {
		if(lAttr4List !=null){
			if(this.candidates!=null){
				this.candidates.addAll(((LAttr4log4list)lAttr4List).getLAttrValue());
			}else{
				this.candidates = (Set<ICandidate>) lAttr4List.getLAttrValue();
			}
		}
		
		return this;
	}
	
	public String toString(){
		return this.candidates.toString();
	}

}
