package org.once.serviceChoicer;

import java.io.File;
import java.util.List;
import java.util.Set;

import org.once.serviceChoicer.candidate.ICandidate;
import org.once.serviceChoicer.candidate.IUDDI;
import org.once.serviceChoicer.candidate.impl.UDDI;
import org.once.serviceChoicer.exception.UDDIException;
import org.once.serviceChoicer.output.IVarManager;
import org.once.serviceChoicer.qosDescrip2.parser.abstr.ATokenParser4log4qos;
import org.once.serviceChoicer.qosDescrip2.parser.impl.OperatorFirstAnalyzer;
import org.once.serviceChoicer.qosDescrip2.parser.impl.RelationTableTest4log;
import org.once.serviceChoicer.qosDescrip2.parser.impl.StipulatTable4log;
import org.once.serviceChoicer.qosDescrip2.parser.impl.TokenParser4QoS4PN;


public class Main4RelatedCandidates {

	public static OperatorFirstAnalyzer test4PN(List<ICandidate> list,
			IVarManager varmanager) {

		ATokenParser4log4qos tokenParser = new TokenParser4QoS4PN(list,
				varmanager);

		RelationTableTest4log relationTable = new RelationTableTest4log();
		StipulatTable4log sTable = new StipulatTable4log(tokenParser);

		OperatorFirstAnalyzer analyzer = new OperatorFirstAnalyzer(
				relationTable, sTable, tokenParser);

		return analyzer;
	}

	/*
	 * public static void test(String str){ File fbpmn = new
	 * File("./testfile/servicechoice.Bpmn"); File dbProperties = new
	 * File("./testfile/resource.properties");
	 * 
	 * if (!fbpmn.exists()||!dbProperties.exists()) {
	 * System.out.println("can not find the file."); return; }
	 * 
	 * try{ Process process = new Process(fbpmn); process.generateeProcess();
	 * 
	 * IUDDI uddi = new UDDI(dbProperties);
	 * 
	 * List<ICandidate> list = new ArrayList<ICandidate>(); for(IService
	 * service:process.getServices()){ list.addAll(uddi.getCandidates(service));
	 * }
	 * 
	 * // OperatorFirstAnalyzer analyzer1 = test4PN(list,new VarManager());
	 * OperatorFirstAnalyzer analyzer2 = test4list(list);
	 * 
	 * String[] strList = {"db:location=a","db:location=EU"}; for (int i = 0; i
	 * < strList.length; i++) { String strTest = strList[i]; Object result =
	 * analyzer2.parse(strTest);
	 * 
	 * if (result != null) System.out.println(result.toString()); else
	 * System.out.println("nothing"); } }catch(ServiceChoicerException e){
	 * e.printStackTrace(); } }
	 */
/*
	public static IUDDI testUDDI() {
		File dbProperties = new File("./testfile/resource.properties");
		if (!dbProperties.exists()) {
			System.out.println("can not find the file.");
			return null;
		}
		UDDI uddi = null;
		try {
			uddi = new UDDI(dbProperties);
			List<ICandidate> list = uddi.getAllCandidates();
			System.out.println(list);
		} catch (UDDIException e) {
			e.printStackTrace();
		}
		return uddi;

	}*/
/*
	public static void testRelated() throws UDDIException {
		IUDDI uddi = testUDDI();
		RelatedCandidate host = new RelatedCandidate(uddi);
		// for(int i = 0; i < uddi.getAllCandidates().size(); i++){

		ICandidate candidate1 = uddi.getAllCandidates().get(5);
		// Set<ICandidate> set1 = host.getRuleRelated(candidate1);
		Set<ICandidate> set = host.getRelatedFrom(candidate1);
		System.out.println(set.toString());
	}

	// }
*/
/*	public static void main(String[] args) {
		// String str = "DB:location=FTS:location";
		// String str1 = "DB:location=EU";
		// test(str);
		// test(str1);

		// testUDDI();

		try {
			testRelated();
		} catch (UDDIException e) {
			e.printStackTrace();
		}

	}*/
}
