package org.once.serviceChoicer.input.qos;

import java.util.List;

import org.once.serviceChoicer.exception.ServiceChoicerException;
import org.once.serviceChoicer.input.qos.IQoSAttr.Type;;

public interface IQoSAttrs {
	
	public List<Type> getAttrTypes();
	public double getWeight(Type type);
	public double getMAX(Type type) throws ServiceChoicerException;
	public double getMIN(Type type)throws ServiceChoicerException;
	public void addQoSAttr(IQoSAttr qosAttr);
	public IQoSAttr get(Type type) throws ServiceChoicerException;
}
