package org.once.serviceChoicer.output;

import java.util.List;

import org.once.serviceChoicer.candidate.ICandidate;
import org.once.serviceChoicer.input.process.IEPath;
import org.once.serviceChoicer.input.qos.IQoSAttr;
import org.once.serviceChoicer.input.qos.IQoSAttr.Type;
import org.once.serviceChoicer.math.IVariable;
import org.once.serviceChoicer.math.impl.Monomial;


public interface IVarManager{	
	
	/**
	 * һµı
	 * @return
	 */
	public IVariable getVar();
	
	/**
	 * ΪQOSԵscoreɱ
	 * @param type QOSԵ
	 * @param isScore ǷΪscoreɱ
	 * @return 
	 */
	public IVariable getVar(Type type, boolean isScore);
	
	/**
	 * Ϊִ·ϵQOSɱ
	 * @param epath
	 * @param type
	 * @return
	 */
	public IVariable getVar(IEPath epath, IQoSAttr.Type type);
	
	/**
	 * Ϊѡɱ
	 * @param candidate
	 * @return
	 */
	public IVariable getVar(ICandidate candidate);
	
	/**
	 * Ϊʽɱ
	 * @param monomial
	 * @return
	 */
	public IVariable getVar(Monomial monomial);
	
	/**
	 * бб
	 * @return
	 */
	public List<IVariable> getVarList();
	
	
	/**
	 * Ƿʽ
	 * @param monomial
	 * @return
	 */
	public boolean containsKey(Monomial monomial);

//	public String getCandidate(IVariable cand);
	
}
