package org.once.serviceChoicer.qosDescrip2.parser.impl;

import java.util.ArrayList;
import java.util.Stack;

import org.once.serviceChoicer.qosDescrip2.parser.abstr.ATokenParser4log;
import org.once.serviceChoicer.qosDescrip2.token.ILAttr4log;
import org.once.serviceChoicer.qosDescrip2.token.IToken4log;
import org.once.serviceChoicer.qosDescrip2.token.IToken4log.Type;
import org.once.serviceChoicer.qosDescrip2.token.impl.Token4log;



public class StipulatTable4log {
	
	private ATokenParser4log tokenParser;	
	private IToken4log[][] grammerList=
	{
		{new Token4log("("),new Token4log(),new Token4log(")")},  	//	E-> ( E ); 
		{new Token4log(), new Token4log("and"), new Token4log()},	//	E-> E and E;
		{new Token4log(), new Token4log("or"),new Token4log()},		//	E-> E or E;
		{new Token4log("not"), new Token4log()},					// 	E-> not E;
		{new Token4log(Type.ID)},									// 	E-> id;
	};
	
	public StipulatTable4log(ATokenParser4log tokenParser){
		this.tokenParser = tokenParser;
	}
	
	public StipulatTable4log(IToken4log[][] grammerList){
		this.grammerList = grammerList;
	}
	
//	public ILAttr actionAND(ArrayList<ITokenTest4log> handler){
//		
//	}
//	public abstract ILAttr actionOR(ArrayList<ITokenTest4log> handler);
//	public abstract ILAttr actionNOT(ArrayList<ITokenTest4log> handler);
//	public abstract ILAttr actionID(ArrayList<ITokenTest4log> handler);
	
	public IToken4log sipulate(Stack<IToken4log> h){
		// Stack ת ArrayList
		ArrayList<IToken4log> handler = new ArrayList<IToken4log>();
		for(int n = h.size()-1 ; n >= 0 ; n--){
			handler.add(h.get(n));
		}

		int num = -1;
		
		// Ѱhandler
		int i,j;
		for(i = 0; i < grammerList.length; i++){	
			for(j = 0; j < handler.size(); j++){
				if(handler.get(j).getType() == grammerList[i][j].getType()){
						continue;
				}else{
						break;
				}
				
			}
			// ҵ
			if(j == handler.size()){
				num = i;
				break;
			}
		}
		if(num == -1){
			System.out.println("ERROR: not find a grammer.");
			return null;
		}
		
		
		ILAttr4log lAttr;
		switch(num){
		case 0:
			lAttr = handler.get(1).getLAttrValue()/*.clone()*/;
			break;
		case 1:
//			lAttr = actionAND(handler);
/*			if(handler.get(0).getLAttrValue()==null || handler.get(2).getLAttrValue()== null)
				pn = null;
			else{
				pn = ((IPolynomial) handler.get(0).getLAttrValue()).clone();
				pn.multi((IPolynomial) handler.get(2).getLAttrValue());
			}*/
			if(handler.get(0).getLAttrValue()==null || handler.get(2).getLAttrValue()== null)
				lAttr = null;
			else{
				lAttr = handler.get(0).getLAttrValue();
				lAttr.opAND(handler.get(2).getLAttrValue());
			}
			break;
			
		case 2:
			if(handler.get(0).getLAttrValue()== null ){
				if(handler.get(2).getLAttrValue()== null){
					return null;
				}
				else{
					lAttr = handler.get(2).getLAttrValue();
					break;
				}
			}else{
				lAttr = handler.get(0).getLAttrValue();
				lAttr.opOR(handler.get(2).getLAttrValue());
			}
			break;
			
//			lAttr = actionOR(handler);
			/*if(handler.get(0).getLAttrValue()== null && handler.get(2).getLAttrValue()== null){
				pn = null;
				break;
			}
			
			if(handler.get(0).getLAttrValue()== null){
				pn =  (IPolynomial) handler.get(2).getLAttrValue();
				break;
			}
			
			if(handler.get(2).getLAttrValue()== null){
				pn = (IPolynomial) handler.get(0).getLAttrValue();
				break;
			}
				
			IPolynomial pn1 = ((IPolynomial) handler.get(0).getLAttrValue()).clone();
			IPolynomial pn2 = ((IPolynomial) handler.get(2).getLAttrValue()).clone();
			pn = new Polynomial();
			pn.multi(pn1);
			pn.multi(pn2);
			pn.multiCoef(-1);
			pn.add(pn1);
			pn.add(pn2);
			break;*/
		case 3:
//			lAttr = actionNOT(handler);
/*			pn = ((IPolynomial) handler.get(1).getLAttrValue()).clone();
			pn.multiCoef(-1);
			pn.add(new Polynomial(1));
			break;*/
			
			lAttr = handler.get(1).getLAttrValue();
			if(lAttr != null){
				lAttr.opNOT();
			}
			break;
			
		case 4:
			/*
			 * if(handler.get(0).getType() == Type.ID){ pn = (IPolynomial)
			 * this.tokenParser.parse(handler.get(0).getValue()); }else pn =
			 * null; break;
			 */

			if (handler.get(0).getType() == Type.ID) {
				lAttr = tokenParser.parse(handler.get(0).getValue());
			} else {
				lAttr = null;
			}
			break;
			
		default:
			System.out.println("ERROR");
			lAttr = null;
		}	
		IToken4log result = new Token4log();
		result.setLAttrValue(lAttr);
		return result;
	}
/*
	public IParserTest getTokenParser() {
		return this.tokenParser;
	}
*/
}
